Index: /CMT/HEAD/source/cmt_cvs.cxx
===================================================================
--- /CMT/HEAD/source/cmt_cvs.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_cvs.cxx	(revision 459)
@@ -14,4 +14,5 @@
 #include "cmt_symbol.h"
 #include "cmt_project.h"
+#include "cmt_log.h"
 
 /**
@@ -272,5 +273,6 @@
     if (m_verbose || m_simulation)
       {
-	cerr << "#CMT> Executing [" << command << "]" << endl;
+	CmtMessage::info ("Executing [" + command + "]");
+	//	cerr << "#CMT> Executing [" << command << "]" << endl;
       }
     
@@ -296,6 +298,10 @@
 	    retry++;
 	    
-	    cerr << "# " << message << ": status=" << status << endl;
-	    cerr << "#---------------------------------------------------------" << endl;
+	    char stat[8];
+	    sprintf (stat, "%d", status);
+	    CmtMessage::error ("# " + message + ": status=" + stat);
+	    CmtMessage::error ("#---------------------------------------------------------");
+	    //	    cerr << "# " << message << ": status=" << status << endl;
+	    //	    cerr << "#---------------------------------------------------------" << endl;
 	    
 	    if (retry > 5) exit(0);
@@ -314,5 +320,6 @@
     if (m_verbose || m_simulation)
       {
-	cerr << "#CMT> Executing [" << command << "]" << endl;
+	CmtMessage::info ("Executing [" + command + "]");
+	//	cerr << "#CMT> Executing [" << command << "]" << endl;
       }
     
@@ -404,9 +411,11 @@
 	if (found)
 	  {
-	    cerr << "#CMT> Protocol level " << m_protocol_level << endl;
+	    CmtMessage::info ("Protocol level " + m_protocol_level);
+	    //	    cerr << "#CMT> Protocol level " << m_protocol_level << endl;
 	  }
 	else
 	  {
-	    cerr << "#CMT> The CVS pluggin is not installed or is not at protocol level " << m_protocol_level << endl;
+	    CmtMessage::error ("The CVS pluggin is not installed or is not at protocol level " + m_protocol_level);
+	    //	    cerr << "#CMT> The CVS pluggin is not installed or is not at protocol level " << m_protocol_level << endl;
 	  }
       }
@@ -457,5 +466,6 @@
 	if (!CmtSystem::mkdir (tmp_dir))
 	  {
-	    cerr << "#CMT> Cannot create the temporary directory [" << tmp_dir << "]" << endl;
+	    CmtMessage::error ("Cannot create the temporary directory [" + tmp_dir + "]");
+	    //	    cerr << "#CMT> Cannot create the temporary directory [" << tmp_dir << "]" << endl;
 	    return;
 	  }
@@ -466,9 +476,11 @@
     if (!CmtSystem::cd (tmp_dir))
       {
-	cerr << "#CMT> Cannot move to the temporary directory " << tmp_dir << endl;
+	CmtMessage::error ("Cannot move to the temporary directory " + tmp_dir);
+	//	cerr << "#CMT> Cannot move to the temporary directory " << tmp_dir << endl;
 	
 	if (m_verbose)
 	  {
-	    cerr << "#CMT> now removing tmp_dir " << tmp_dir << " home=" << home_dir << endl;
+	    CmtMessage::info ("now removing tmp_dir " + tmp_dir + " home=" + home_dir);
+	    //	    cerr << "#CMT> now removing tmp_dir " << tmp_dir << " home=" << home_dir << endl;
 	  }
 	
@@ -480,5 +492,6 @@
     if (m_verbose)
       {
-	cerr << "#CMT> cvs infos are now obtained from the temporary directory " << CmtSystem::pwd () << endl;  
+	CmtMessage::info ("cvs infos are now obtained from the temporary directory " + CmtSystem::pwd ());  
+	//	cerr << "#CMT> cvs infos are now obtained from the temporary directory " << CmtSystem::pwd () << endl;  
       }
     
@@ -536,5 +549,6 @@
     if (m_verbose)
       {
-	cerr << "#CMT> now removing tmp_dir " << tmp_dir << " home=" << home_dir << endl;
+	CmtMessage::info ("now removing tmp_dir " + tmp_dir + " home=" + home_dir);
+	//	cerr << "#CMT> now removing tmp_dir " << tmp_dir << " home=" << home_dir << endl;
       }
     
@@ -570,5 +584,6 @@
     if (!check_protocol ())
       {
-	cerr << "#CMT> The CVS pluggin is not installed or is not at protocol level " << m_protocol_level << endl;
+	CmtMessage::error ("The CVS pluggin is not installed or is not at protocol level " + m_protocol_level);
+	//	cerr << "#CMT> The CVS pluggin is not installed or is not at protocol level " << m_protocol_level << endl;
 	return;
       }
@@ -576,5 +591,6 @@
     if (module == "")
       {
-	cerr << "#CMT> cmt cvs needs a module name" << endl;
+	CmtMessage::error ("cmt cvs needs a module name");
+	//	cerr << "#CMT> cmt cvs needs a module name" << endl;
 	return;
       }
@@ -584,5 +600,6 @@
 	if (m_verbose)
 	  {
-	    cerr << "#CMT> cvs infos for module " << module << " already there" << endl;
+	    CmtMessage::info ("cvs infos for module " + module + " already there");
+	    //	    cerr << "#CMT> cvs infos for module " << module << " already there" << endl;
 	  }
       }
@@ -836,5 +853,6 @@
     if (m_verbose)
       {
-	cerr << "#CMT> requesting cvs infos onto module " << module << endl;
+	CmtMessage::info ("requesting cvs infos onto module " + module);
+	//	cerr << "#CMT> requesting cvs infos onto module " << module << endl;
       }
     
@@ -844,5 +862,6 @@
       {
 	versions = "";
-	cerr << "#CMT> Product " << product << " not found in ${CVSROOT}" << endl;
+	CmtMessage::error ("Product " + product + " not found in ${CVSROOT}");
+	//	cerr << "#CMT> Product " << product << " not found in ${CVSROOT}" << endl;
 	return (false);
       }
@@ -1000,5 +1019,6 @@
     if (m_simulation)
       {
-	cerr << "#CMT> Would create the " << dir << " directory" << endl;
+	CmtMessage::info ("Would create the " + dir + " directory");
+	//	cerr << "#CMT> Would create the " << dir << " directory" << endl;
       }
     else
@@ -1008,5 +1028,6 @@
 	    if (m_verbose)
 	      {
-		cerr << "#CMT> About to mkdir " << dir << endl;
+		CmtMessage::info ("About to mkdir " + dir);
+		//		cerr << "#CMT> About to mkdir " << dir << endl;
 	      }
 
@@ -1014,6 +1035,8 @@
 	    if (!CmtSystem::cd (dir))
 	      {
-		cerr << "# Error creating the directory :" << dir << endl;
-		cerr << "#---------------------------------------------------------" << endl;
+		CmtMessage::error ("# Cannot cd into the directory: " + dir);
+		CmtMessage::error ("#---------------------------------------------------------");
+		//		cerr << "# Error creating the directory :" << dir << endl;
+		//		cerr << "#---------------------------------------------------------" << endl;
 		return (false);
 	      }
@@ -1045,5 +1068,6 @@
     if (m_verbose)
       {
-	cerr << "#CMT> CMTPATH=" << CmtSystem::getenv ("CMTPATH") << endl;
+	CmtMessage::info ("CMTPATH=" + CmtSystem::getenv ("CMTPATH"));
+	//	cerr << "#CMT> CMTPATH=" << CmtSystem::getenv ("CMTPATH") << endl;
       }
   }
@@ -1063,5 +1087,6 @@
     cmt_string dir = currentdir;
 
-    cerr << "  # get project files into " << dir << endl;
+    CmtMessage::info ("get project files into " + dir);
+    //    cerr << "  # get project files into " << dir << endl;
 
 
@@ -1127,6 +1152,7 @@
 	if (m_simulation)
 	  {
-	    cerr << "#CMT> Would fill in the CVS/Root file with " << endl;
-	    cerr << s << endl;
+	    CmtMessage::info ("Would fill in the CVS/Root file with\n" + s);
+	    //	    cerr << "#CMT> Would fill in the CVS/Root file with " << endl;
+	    //	    cerr << s << endl;
 	  }
 	else
@@ -1134,6 +1160,7 @@
 	    if (m_verbose)
 	      {
-		cerr << "#CMT> Fill in the CVS/Root file with " << endl;
-		cerr << s << endl;
+		CmtMessage::info ("Fill in the CVS/Root file with\n" + s);
+		//		cerr << "#CMT> Fill in the CVS/Root file with " << endl;
+		//		cerr << s << endl;
 	      }
 	    s.write (f);
@@ -1160,6 +1187,7 @@
 	if (m_simulation)
 	  {
-	    cerr << "#CMT> Would fill in the CVS/Repository file with " << endl;
-	    cerr << s << endl;
+	    CmtMessage::info ("Would fill in the CVS/Repository file with\n" + s);
+	    //	    cerr << "#CMT> Would fill in the CVS/Repository file with " << endl;
+	    //	    cerr << s << endl;
 	  }
 	else
@@ -1167,6 +1195,7 @@
 	    if (m_verbose)
 	      {
-		cerr << "#CMT> Fill in the CVS/Repository file with " << endl;
-		cerr << s << endl;
+		CmtMessage::info ("Fill in the CVS/Repository file with\n" + s);
+		//		cerr << "#CMT> Fill in the CVS/Repository file with " << endl;
+		//		cerr << s << endl;
 	      }
 	    s.write (f);
@@ -1176,6 +1205,7 @@
     if (m_simulation)
       {
-	cerr << "#CMT> Would write the top CVS/Entries file with " << endl;
-	cerr << entries_text << endl;
+	CmtMessage::info ("Would write the top CVS/Entries file with\n" + entries_text);
+	//	cerr << "#CMT> Would write the top CVS/Entries file with " << endl;
+	//	cerr << entries_text << endl;
       }
     else
@@ -1199,6 +1229,7 @@
 	if (m_verbose)
 	  {
-	    cerr << "#CMT> Fill in the top CVS/Entries file with " << endl;
-	    cerr << text << endl;
+	    CmtMessage::info ("Fill in the top CVS/Entries file with\n" + text);
+	    //	    cerr << "#CMT> Fill in the top CVS/Entries file with " << endl;
+	    //	    cerr << text << endl;
 	  }
 
@@ -1226,5 +1257,6 @@
     cmt_string dir = currentdir;
 
-    cerr << "  # get top files " << endl;
+    CmtMessage::info ("get top files ");
+    //    cerr << "  # get top files " << endl;
             
     cmt_string command = "cvs -f -Q co -l ";
@@ -1273,5 +1305,7 @@
     if (m_verbose)
       {
-	cerr << "#CMT> Now getting subdirectories pwd=" << CmtSystem::pwd () << " dir=" << dir << endl;
+	CmtMessage::info ("Now getting subdirectories pwd=" + CmtSystem::pwd ()
+			  + " dir=" + dir);
+	//	cerr << "#CMT> Now getting subdirectories pwd=" << CmtSystem::pwd () << " dir=" << dir << endl;
       }
     
@@ -1328,5 +1362,6 @@
 	  {  
     
-            cerr << "# --> udapte the file timestamps" << endl;                 
+            CmtMessage::info ("udapte the file timestamps");                 
+	    //            cerr << "# --> udapte the file timestamps" << endl;                 
             for (i = 0; i < branch_vector.size (); i++)
 	      {	
@@ -1371,5 +1406,6 @@
       {  
     
-        cerr << "# --> udapte the file timestamps" << endl;                 
+	CmtMessage::info ("udapte the file timestamps");                 
+	//        cerr << "# --> udapte the file timestamps" << endl;                 
         for (i = 0; i < branch_vector.size (); i++)
 	  {	
@@ -1562,6 +1598,7 @@
 
 	add_cmtpath (here);
-
-	cerr << "  # --> now getting project packages from the " << container << " " << here << endl;
+	
+	CmtMessage::info ("now getting project packages from the " + container + " " + here);
+	//	cerr << "  # --> now getting project packages from the " << container << " " << here << endl;
 
 	CmtSystem::cd (here);
@@ -1687,4 +1724,10 @@
     if (m_verbose)
       {
+	CmtMessage::info ("do_checkout_phase2> offset=" + offset
+			  + " " + structure_info + "=" + product
+			  + " specified_version=" + specified_version
+			  + " tag=" + tag
+			  + " pwd=" + CmtSystem::pwd ());
+	/*
 	cerr << "#CMT> do_checkout_phase2> offset=" << offset
 	     << " " << structure_info << "=" << product
@@ -1693,4 +1736,5 @@
 	     << " pwd=" << CmtSystem::pwd ()
 	     << endl;
+	*/
       }
     
@@ -1712,5 +1756,6 @@
     if (version == "")
       {
-	cerr << "# ================= No version specified for " << structure_info << " " << product << endl;
+	CmtMessage::warning ("================= No version specified for " + structure_info + " " + product);
+	//	cerr << "# ================= No version specified for " << structure_info << " " << product << endl;
 	return;
       }
@@ -1763,7 +1808,12 @@
 	if (cvs_tag.find ("*") != cmt_string::npos)
 	  {
+	    CmtMessage::warning ("================= " + structure_info + " " + product 
+				 + " version " + cvs_tag + echo_ppath 
+				 + " has wild cards and will not be considered.");
+	    /*
 	    cerr << "# ================= " << structure_info << " " << product 
 		 << " version " << cvs_tag << echo_ppath 
 		 << " has wild cards and will not be considered." << endl;
+	    */
 	    return;
 	  }
@@ -1802,7 +1852,12 @@
     if (check_structure (dir, version))
       {
+	CmtMessage::info ("================= " + structure_info + " " + product 
+			  + " version " + version + echo_ppath 
+			  + " already installed.");	
+	/*
 	cerr << "# ================= " << structure_info << " " << product 
 	     << " version "            << version        << echo_ppath 
 	     << " already installed."  << endl;	
+	*/
 	recursive = false;
       }
@@ -1815,5 +1870,6 @@
 	if (!really_checkout (offset, product, version, cvs_tag, module, dir, at_head))
 	  {
-	    cerr << "# bad return from really_checkout_product" << endl;
+	    CmtMessage::error ("bad return from really_checkout_product");
+	    //	    cerr << "# bad return from really_checkout_product" << endl;
 	    return;
 	  }
@@ -1826,5 +1882,6 @@
     if (m_simulation)
       {
-	cerr << "#CMT> " << structure_info << " directory not really created " << dir << endl;
+	CmtMessage::info (structure_info + " directory not really created " + dir);
+	//	cerr << "#CMT> " << structure_info << " directory not really created " << dir << endl;
       }
     else if (structure_info == "package")
@@ -1832,5 +1889,6 @@
 	if (!CmtSystem::cd (dir))
 	  {
-	    cerr << "#CMT> Package directory not created " << dir << endl;
+	    CmtMessage::error ("Package directory not created " + dir);
+	    //	    cerr << "#CMT> Package directory not created " << dir << endl;
 	    return;
 	  }
@@ -1871,5 +1929,6 @@
 	    else
 	      {
-		cerr << "# " << product << " not a CMT package" << endl;
+		CmtMessage::error (product + " not a CMT package");
+		//		cerr << "# " << product << " not a CMT package" << endl;
 		return;
 	      }
@@ -1921,10 +1980,12 @@
 	if (m_verbose)
 	  {
-	    cerr << "#CMT> dir=" << dir << endl;
+	    CmtMessage::info ("dir=" + dir);
+	    //	    cerr << "#CMT> dir=" << dir << endl;
 	  }
 	
 	if (!CmtSystem::cd (dir))
 	  {
-	    cerr << "#CMT> Project directory not created " << dir << endl;
+	    CmtMessage::error ("Project directory not created " + dir);
+	    //	    cerr << "#CMT> Project directory not created " << dir << endl;
 	    return;
 	  }
@@ -1938,5 +1999,6 @@
 	if (!CmtSystem::test_file (file_name))
 	  {
-	    cerr << "# " << product << " not a CMT project" << endl;
+	    CmtMessage::error (product + " not a CMT project");
+	    //	    cerr << "# " << product << " not a CMT project" << endl;
 	    return;
 	  }
@@ -1947,5 +2009,6 @@
 	  }
 
-	cerr << "# ================= Project " << product << " completed" << endl;
+	CmtMessage::info ("================= Project " + product + " completed");
+	//	cerr << "# ================= Project " << product << " completed" << endl;
 
       }
@@ -1968,6 +2031,8 @@
     if (m_verbose)
       {
-	cerr << "#CMT> checkout phase1 module=" << module
-	     << " version_dir=" << version_dir << " version_tag=" << version_tag << endl;
+	CmtMessage::info ("checkout phase1 module=" + module
+			  + " version_dir=" + version_dir + " version_tag=" + version_tag);
+	//	cerr << "#CMT> checkout phase1 module=" << module
+	//	     << " version_dir=" << version_dir << " version_tag=" << version_tag << endl;
       }
 
@@ -1982,5 +2047,6 @@
 	if (m_verbose)
 	  {
-	    cerr << "#CMT> Missing module name" << endl;
+	    CmtMessage::info ("Missing module name");
+	    //	    cerr << "#CMT> Missing module name" << endl;
 	  }
 	return;
@@ -2001,5 +2067,6 @@
       if (error_info != "")
 	{
-	  cerr << error_info << endl;
+	  CmtMessage::error (error_info);
+	  //	  cerr << error_info << endl;
 	  return;
 	}
@@ -2023,5 +2090,6 @@
 	if (m_verbose)
 	  {
-	    cerr << "#CMT> cumulated versions " << versions << endl;
+	    CmtMessage::info ("cumulated versions " + versions);
+	    //	    cerr << "#CMT> cumulated versions " << versions << endl;
 	  }
 
@@ -2080,6 +2148,8 @@
     if (m_verbose)
       {
-	cerr << "#CMT> about to checkout " << structure_info
-	     << " " << product << " version " << version << " into " << top_dir << endl;
+	CmtMessage::info ("about to checkout " + structure_info
+			  + " " + product + " version " + version + " into " + top_dir);
+	//	cerr << "#CMT> about to checkout " << structure_info
+	//	     << " " << product << " version " << version << " into " << top_dir << endl;
       }
 
@@ -2101,5 +2171,6 @@
 	if (!CmtSystem::test_file (file_name))
 	  {
-	    cerr << "# " << product << " was not properly checked out and is missing its cmt/project.cmt file" << endl;
+	    CmtMessage::error (product + " was not properly checked out and is missing its cmt/project.cmt file");
+	    //	    cerr << "# " << product << " was not properly checked out and is missing its cmt/project.cmt file" << endl;
 	    return;
 	  }
@@ -2133,5 +2204,6 @@
 	    else
 	      {
-		cerr << "# " << product << " was not properly checked out and is missing its cmt/requirements file" << endl;
+		CmtMessage::error (product + " was not properly checked out and is missing its cmt/requirements file");
+		//		cerr << "# " << product << " was not properly checked out and is missing its cmt/requirements file" << endl;
 		return;
 	      }
@@ -2140,5 +2212,6 @@
 	if (m_verbose)
 	  {
-	    cerr << "#CMT> product " << product << " has been checked out" << endl;
+	    CmtMessage::info ("product " + product + " has been checked out");
+	    //	    cerr << "#CMT> product " << product << " has been checked out" << endl;
 	  }
 	
@@ -2198,5 +2271,6 @@
     if (CmtSystem::getenv ("CVSROOT") == "")
       {
-	cerr << "# Please set CVSROOT first !" << endl;
+	CmtMessage::error ("Please set CVSROOT first !");
+	//	cerr << "# Please set CVSROOT first !" << endl;
 	return;
       }
@@ -2225,5 +2299,6 @@
 	    if (error_info != "")
 	      {
-		cerr << error_info << endl;
+		CmtMessage::error (error_info);
+		//		cerr << error_info << endl;
 	      }
 	    else
@@ -2250,5 +2325,6 @@
 		  {
 		    const cmt_string& s = v[i];
-		    cerr << s << endl;
+		    cout << s << endl;
+		    //		    cerr << s << endl;
 		  }
 	      }
@@ -2269,9 +2345,11 @@
     if (error_info != "")
       {
-	cerr << error_info << endl;
+	CmtMessage::error (error_info);
+	//	cerr << error_info << endl;
       }
     else
       {
-	cerr << branches_info << endl;
+	cout << branches_info << endl;
+	//	cerr << branches_info << endl;
       }
   }
@@ -2289,9 +2367,11 @@
     if (error_info != "")
       {
-	cerr << error_info << endl;
+	CmtMessage::error (error_info);
+	//	cerr << error_info << endl;
       }
     else
       {
-	cerr << subpackages_info << endl;
+	cout << subpackages_info << endl;
+	//	cerr << subpackages_info << endl;
       }
   }
@@ -2309,9 +2389,11 @@
     if (error_info != "")
       {
-	cerr << error_info << endl;
+	CmtMessage::error (error_info);
+	//	cerr << error_info << endl;
       }
     else
       {
-	cerr << subprojects_info << endl;
+	cout << subprojects_info << endl;
+	//	cerr << subprojects_info << endl;
       }
   }
@@ -2332,5 +2414,6 @@
     if (CmtSystem::getenv ("CVSROOT") == "")
       {
-	cerr << "# Please set CVSROOT first !" << endl;
+	CmtMessage::error ("Please set CVSROOT first !");
+	//	cerr << "# Please set CVSROOT first !" << endl;
 	return;
       }
Index: /CMT/HEAD/source/cmt_error.cxx
===================================================================
--- /CMT/HEAD/source/cmt_error.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_error.cxx	(revision 459)
@@ -8,11 +8,12 @@
 #include "cmt_error.h"
 #include "cmt_vector.h"
+#include "cmt_log.h"
 
-class Error
+class TheError
 {
 public:
-  static Error& instance ();
+  static TheError& instance ();
 
-  Error ()
+  TheError ()
   {
     error_names.add() = "ok";
@@ -40,5 +41,5 @@
   }
 
-  ~Error ()
+  ~TheError ()
   {
   }
@@ -88,7 +89,7 @@
 
 //---------------------------------------------------------------
-Error& Error::instance ()
+TheError& TheError::instance ()
 {
-  static Error e;
+  static TheError e;
   
   return (e);
@@ -98,5 +99,5 @@
 void CmtError::clear ()
 {
-  Error& e = Error::instance ();
+  TheError& e = TheError::instance ();
 
   e.clear ();
@@ -106,5 +107,5 @@
 bool CmtError::has_pending_error ()
 {
-  Error& e = Error::instance ();
+  TheError& e = TheError::instance ();
 
   if (e.get_code () == ok) return (false);
@@ -115,5 +116,5 @@
 CmtError::code CmtError::get_last_error_code ()
 {
-  Error& e = Error::instance ();
+  TheError& e = TheError::instance ();
 
   return (e.get_code ());
@@ -123,5 +124,5 @@
 int CmtError::get_last_execution_error ()
 {
-  Error& e = Error::instance ();
+  TheError& e = TheError::instance ();
 
   return (e.get_last_execution_error ());
@@ -131,5 +132,5 @@
 const cmt_string& CmtError::get_error_name (code error)
 {
-  Error& e = Error::instance ();
+  TheError& e = TheError::instance ();
 
   return (e.get_name (error));
@@ -139,5 +140,5 @@
 void CmtError::set (code error, const cmt_string& text, const int execution_error)
 {
-  Error& e = Error::instance ();
+  TheError& e = TheError::instance ();
 
   e.set (error, text, execution_error);
@@ -147,5 +148,5 @@
 cmt_string CmtError::get_last_error ()
 {
-  Error& e = Error::instance ();
+  TheError& e = TheError::instance ();
 
   cmt_string result;
@@ -161,7 +162,10 @@
 void CmtError::print ()
 {
-  Error& e = Error::instance ();
+  /*
+  TheError& e = TheError::instance ();
 
   cerr << "CMT> Error: " << get_error_name (e.get_code ()) << " : " << e.get_text () << endl;
+  */
+  CmtMessage::error (get_last_error ());
 }
 
Index: /CMT/HEAD/source/cmt_fragment.cxx
===================================================================
--- /CMT/HEAD/source/cmt_fragment.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_fragment.cxx	(revision 459)
@@ -15,4 +15,5 @@
 #include "cmt_system.h"
 #include "cmt_database.h"
+#include "cmt_log.h"
 
 /*----------------------------------------------------------*/
@@ -137,5 +138,6 @@
   if (fragment == 0)
     {
-      cerr << "Fragment " << name << " not found" << endl;
+      CmtMessage::info ("Fragment " + name + " not found");
+      //      cerr << "Fragment " << name << " not found" << endl;
     }
   else
@@ -1110,5 +1112,6 @@
   if (!result)
     {
-      cerr << "#CMT> Fragment " << _name << " not found" << endl;
+      CmtMessage::info ("Fragment " + _name + " not found");
+      //      cerr << "#CMT> Fragment " << _name << " not found" << endl;
       _fragment = 0;
     }
@@ -1130,5 +1133,6 @@
   if (!result)
     {
-      cerr << "#CMT> Fragment " << _name << " not found" << endl;
+      CmtMessage::info ("Fragment " + _name + " not found");
+      //      cerr << "#CMT> Fragment " << _name << " not found" << endl;
       _fragment = 0;
     }
@@ -1150,5 +1154,6 @@
   if (!result)
     {
-      cerr << "#CMT> Fragment " << _name << " not found" << endl;
+      CmtMessage::info ("Fragment " + _name + " not found");
+      //      cerr << "#CMT> Fragment " << _name << " not found" << endl;
       _fragment = 0;
     }
@@ -1170,5 +1175,6 @@
   if (!result)
     {
-      cerr << "#CMT> Fragment " << _name << " not found" << endl;
+      CmtMessage::info ("Fragment " + _name + " not found");
+      //      cerr << "#CMT> Fragment " << _name << " not found" << endl;
       _fragment = 0;
     }
@@ -1193,5 +1199,6 @@
   if (!result)
     {
-      cerr << "#CMT> Fragment " << _name << " not found" << endl;
+      CmtMessage::info ("Fragment " + _name + " not found");
+      //      cerr << "#CMT> Fragment " << _name << " not found" << endl;
       _fragment = 0;
     }
@@ -1213,5 +1220,6 @@
   if (!result)
     {
-      cerr << "#CMT> Fragment " << _name << " not found" << endl;
+      CmtMessage::info ("Fragment " + _name + " not found");
+      //      cerr << "#CMT> Fragment " << _name << " not found" << endl;
       _fragment = 0;
     }
@@ -1233,5 +1241,6 @@
   if (!result)
     {
-      cerr << "#CMT> Fragment " << _name << " not found" << endl;
+      CmtMessage::info ("Fragment " + _name + " not found");
+      //      cerr << "#CMT> Fragment " << _name << " not found" << endl;
       _fragment = 0;
     }
@@ -1255,5 +1264,6 @@
   if (!result)
     {
-      cerr << "#CMT> Fragment " << _name << " not found" << endl;
+      CmtMessage::info ("Fragment " + _name + " not found");
+      //      cerr << "#CMT> Fragment " << _name << " not found" << endl;
       _fragment = 0;
     }
@@ -1272,5 +1282,6 @@
       if (_fragment == 0)
         {
-          cerr << "#CMT> Fragment " << _name << " not found" << endl;
+	  CmtMessage::info ("Fragment " + _name + " not found");
+	  //          cerr << "#CMT> Fragment " << _name << " not found" << endl;
         }
     }
Index: /CMT/HEAD/source/cmt_generator.cxx
===================================================================
--- /CMT/HEAD/source/cmt_generator.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_generator.cxx	(revision 459)
@@ -17,4 +17,5 @@
 
 #include "cmt_generators.h"
+#include "cmt_log.h"
 
 //------------------------------------------------------------------------
@@ -736,5 +737,6 @@
   else
     {
-      cerr << "#CMT> build constituent_makefile : wrong arguments" << endl;
+      CmtMessage::error ("build constituent_makefile : wrong arguments");
+      //      cerr << "#CMT> build constituent_makefile : wrong arguments" << endl;
       return;
     }
Index: /CMT/HEAD/source/cmt_generators.cxx
===================================================================
--- /CMT/HEAD/source/cmt_generators.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_generators.cxx	(revision 459)
@@ -107,5 +107,6 @@
     {
       file_not_found = true;
-      cerr << "#CMT> Warning: Source file " << file << " not found" << endl;
+      CmtMessage::warning ("Source file " + file + " not found");
+      //      cerr << "#CMT> Warning: Source file " << file << " not found" << endl;
     }
 
@@ -185,5 +186,6 @@
 	  can_build = false;
           obj  = "";
-	  cerr << "#CMT> Warning: Source file " << name << " cannot be rebuilt" << endl;
+	  CmtMessage::warning ("Source file " + name + " cannot be rebuilt");
+	  //	  cerr << "#CMT> Warning: Source file " << name << " cannot be rebuilt" << endl;
         }
       else
@@ -236,5 +238,6 @@
   else
     {
-      cerr << "#CMT> Warning: file " << m_FULLNAME << " not found" << endl;
+      CmtMessage::warning ("file " + m_FULLNAME + " not found");
+      //      cerr << "#CMT> Warning: file " << m_FULLNAME << " not found" << endl;
     }
 }
@@ -430,5 +433,6 @@
   need_prototypes = constituent.need_prototypes;
 
-  cout << m_TITLE << " " << m_CONSTITUENT << endl;
+  //  cout << m_TITLE << " " << m_CONSTITUENT << endl;
+  CmtMessage::info (m_TITLE + " " + m_CONSTITUENT);
 
   lib  = "$(";
@@ -881,5 +885,6 @@
   int i;
 
-  cout << m_TITLE << " " << m_CONSTITUENT << endl;
+  //  cout << m_TITLE << " " << m_CONSTITUENT << endl;
+  CmtMessage::info (m_TITLE + " " + m_CONSTITUENT);
 
   //
@@ -1068,5 +1073,6 @@
       if (!CmtSystem::test_file (file_name) && !CmtSystem::test_directory (file_name))
         {
-          cerr << "#CMT> Warning: Source file " << file_name << " not found" << endl;
+          CmtMessage::warning ("Source file " + file_name + " not found");
+	  //          cerr << "#CMT> Warning: Source file " << file_name << " not found" << endl;
         }
 
@@ -1117,5 +1123,6 @@
   if (!CmtSystem::test_file (file) && !CmtSystem::test_directory (file))
     {
-      cerr << "#CMT> Warning: Source file " << file << " not found" << endl;
+      CmtMessage::warning ("Source file " + file + " not found");
+      //      cerr << "#CMT> Warning: Source file " << file << " not found" << endl;
     }
 
@@ -1480,4 +1487,14 @@
               if (file != NULL)
                 {
+                  CmtMessage::warning ("\n"
+				       "# A Makefile already exists "
+				       "but it does not provide\n"
+				       "# the recommended features "
+				       "for a full benefit of CMT\n"
+				       "#\n"
+				       "# CMT is now building "
+				       "a new 'Makefile.cmt' which you can use\n"
+				       "# to upgrade your current one.");
+		  /*
                   cerr << "# " << endl;
                   cerr << "#CMT> Warning: " << endl;
@@ -1491,5 +1508,5 @@
                   cerr << "# to upgrade your current one." << endl;
                   cerr << "# " << endl;
-
+		  */
                   s.write (file);
                   fclose (file);
@@ -2872,5 +2889,6 @@
   if (f == 0)
     {
-      cerr << "Cannot open " << m_output_file_name << " for write" << endl;
+      CmtMessage::error ("Cannot open " + m_output_file_name + " for write");
+      //      cerr << "Cannot open " << m_output_file_name << " for write" << endl;
     }
   else
@@ -3007,5 +3025,6 @@
       if (!CmtSystem::mkdir (stamp_output))
 	{
-	  cerr << "Cannot create the binary output directory for this constituent" << endl;
+	  CmtMessage::error ("Cannot create the binary output directory for this constituent " + stamp_output);
+	  //	  cerr << "Cannot create the binary output directory for this constituent" << endl;
 	}
 
Index: /CMT/HEAD/source/cmt_install_area.cxx
===================================================================
--- /CMT/HEAD/source/cmt_install_area.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_install_area.cxx	(revision 459)
@@ -13,4 +13,5 @@
 #include "cmt_cmtpath_pattern.h"
 #include "cmt_project.h"
+#include "cmt_log.h"
 
 CmtInstallAreaMgr& CmtInstallAreaMgr::instance ()
@@ -86,8 +87,11 @@
   if (installarea == "") return;
 
+  CmtMessage::warning ("Doing cleanup in the installation area " + installarea);
+  /*
   if (!Cmt::get_quiet ())
     {
       cerr << "#CMT> Warning: Doing cleanup in the installation area " << installarea << endl;
     }
+  */
 
   Symbol* macro = Symbol::find ("cmt_installarea_paths");
@@ -167,4 +171,7 @@
 	      // and the reference file
 
+	      CmtMessage::info ("Removing obsolete installed file [" + ref + "]"
+				"  (and " + ref_file + ")");
+	      /*
 	      if (!Cmt::get_quiet ())
 		{
@@ -172,4 +179,5 @@
 		  cerr << "  (and " << ref_file << ")" << endl;
 		}
+	      */
 
               CmtSystem::remove_file (ref);
Index: /CMT/HEAD/source/cmt_lock.cxx
===================================================================
--- /CMT/HEAD/source/cmt_lock.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_lock.cxx	(revision 459)
@@ -10,4 +10,5 @@
 #include "cmt_error.h"
 #include "cmt_symbol.h"
+#include "cmt_log.h"
 
 //----------------------------------------------------------
@@ -73,5 +74,6 @@
     }
 
-  cerr << "Package now locked" << endl;
+  CmtMessage::info ("Package now locked");
+  //  cerr << "Package now locked" << endl;
 
   return (locked_by_user);
@@ -91,5 +93,6 @@
       return (s);
     case not_locked:
-      cerr << "Package not locked" << endl;
+      CmtMessage::info ("Package not locked");
+      //      cerr << "Package not locked" << endl;
       return (s);
     }
@@ -148,5 +151,6 @@
     }
 
-  cerr << "Package now unlocked" << endl;
+  CmtMessage::info ("Package now unlocked");
+  //  cerr << "Package now unlocked" << endl;
 
   return (not_locked);
